# eric3.Checks.PyLintConfigDialog

Module implementing a dialog to configure the PyLint process

### Classes

PyLintConfigDialog | Class implementing a dialog to configure the PyLint process

### Functions

None

## PyLintConfigDialog

Class implementing a dialog to configure the PyLint process

### Derived from

PyLintConfigForm

### Methods

PyLintConfigDialog | Constructor
accept | Protected slot called by the Ok button.
generateParameters | Public method that generates the commandline parameters.
handleConfigfile | Private slot to select the configuration file.
handleCreateConfig | Public slot to handle the generation of a sample configuration.
handleCreateConfigDone | Private slot to handle the the processExit signal of the pylint process.
handleReportfile | Private slot to select the report file.
handleStderr | Private slot to handle the readyReadStderr signal of the pylint process.
handleStdout | Private slot to handle the readyReadStdout signal of the pylint process.
handleTextChanged | Private slot to handle the TextChanged signal of configfileEdit.
initializeDefaults | Private method to set the default values.

### PyLintConfigDialog (Constructor)

PyLintConfigDialog(ppath, parms = None, parent = None)

Constructor

ppath
  project path (string or QString) Used to set the default path for the rcfile selection dialog
parms
  parameters to set in the dialog
parent
  reference to the parent widget (QWidget)

### PyLintConfigDialog.accept

accept()

Protected slot called by the Ok button. It saves the values in the parameters dictionary.

### PyLintConfigDialog.generateParameters

generateParameters()

Public method that generates the commandline parameters. It generates a QStringList to be used to set the QProcess arguments for the cxfreeze call and a list containing the non default parameters. The second list can be passed back upon object generation to overwrite the default settings.

Returns:
  a tuple of the commandline parameters and non default parameters (QStringList, dictionary)

### PyLintConfigDialog.handleConfigfile

handleConfigfile()

Private slot to select the configuration file. It displays a file selection dialog to select the configuration file.

### PyLintConfigDialog.handleCreateConfig

handleCreateConfig()

Public slot to handle the generation of a sample configuration.

### PyLintConfigDialog.handleCreateConfigDone

handleCreateConfigDone()

Private slot to handle the the processExit signal of the pylint process.

### PyLintConfigDialog.handleReportfile

handleReportfile()

Private slot to select the report file. It displays a file selection dialog to select the report file.

### PyLintConfigDialog.handleStderr

handleStderr()

Private slot to handle the readyReadStderr signal of the pylint process.

### PyLintConfigDialog.handleStdout

handleStdout()

Private slot to handle the readyReadStdout signal of the pylint process.

### PyLintConfigDialog.handleTextChanged

handleTextChanged(txt)

Private slot to handle the TextChanged signal of configfileEdit.

txt
  contents of configfileEdit (QString)

### PyLintConfigDialog.initializeDefaults

initializeDefaults()

Private method to set the default values. These are needed later on to generate the commandline parameters.

Up